### GET /studios/templates Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Returns the list of available, configured Studio templates. ```markdown ### Parameters - **workspaceId** (integer (int64), query, optional): Workspace identifier - **max** (integer (int32), query, optional): Pagination max results - **offset** (integer (int32), query, optional): Pagination offset ### Responses #### 200 - Ok - paginated list of available Studio templates. **DataStudioTemplatesListResponse** - **templates** (array (object)) (required) Array items: - **repository** (string) - **icon** (string) - **status** (string (recommended|deprecated|experimental|unsupported)) ("recommended"|"deprecated"|"experimental"|"unsupported") - **tool** (string) - **totalSize** (integer (int64)) (required) #### 400 - BadRequest **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed. Operation not allowed. #### 404 - NotFound, when the API is disabled for the workspace. **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/studios/templates?workspaceId=0&max=0&offset=0" ``` ``` -------------------------------- ### PUT /studios/{sessionId}/start Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Starts the given Studio session ID. ```markdown ### Parameters - **sessionId** (string, path, required): Studio session numeric identifier - **workspaceId** (integer (int64), query, optional): Workspace numeric identifier ### Request Body **Content-Type:** application/json - **configuration** (object) - **gpu** (integer (int32)) - **cpu** (integer (int32)) - **memory** (integer (int32)) - **mountData** (array (string)) - **environment** (object) - **condaEnvironment** (string) - **lifespanHours** (integer (int32)) - **description** (string) - **labelIds** (array (integer (int64))) - **spot** (boolean) ### Responses #### 200 - OK **DataStudioStartResponse** - **jobSubmitted** (boolean) (required) - **sessionId** (string) (required) - **statusInfo** (object) (required) - **status** (string (starting|running|stopping|stopped|errored|building|buildFailed)) ("starting"|"running"|"stopping"|"stopped"|"errored"|"building"|"buildFailed") - **message** (string) - **lastUpdate** (string (date-time)) - **stopReason** (string (CREDITS_RUN_OUT|LIFESPAN_EXPIRED|SPOT_RECLAMATION)) ("CREDITS_RUN_OUT"|"LIFESPAN_EXPIRED"|"SPOT_RECLAMATION") #### 403 - Operation not allowed. Operation not allowed. #### 404 - NotFound, when the Studio is not found or when the API is disabled for the workspace. **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X PUT "https://api.example.com/studios/{sessionId}/start?workspaceId=0" \ -H "Content-Type: application/json" \ -d '{ "configuration": { "gpu": "0", "cpu": "0", "memory": "0", "mountData": [ "string" ], "environment": "value", "condaEnvironment": "string", "lifespanHours": "0" }, "description": "string", "labelIds": [ "0" ], "spot": "true" }' ``` ``` -------------------------------- ### GET /service-info Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml API endpoint for GET /service-info ```markdown ### Responses #### 200 - OK **ServiceInfoResponse** - **serviceInfo** (object) - **version** (string) - **apiVersion** (string) - **commitId** (string) - **authTypes** (array (string)) - **loginPath** (string) - **navbar** (object) - **menus** (array (object)) Array items: - **label** (string) - **url** (string) - **heartbeatInterval** (integer (int32)) - **userWorkspaceEnabled** (boolean) - **allowInstanceCredentials** (boolean) - **landingUrl** (string) - **termsOfUseUrl** (string) - **contentUrl** (string) - **analytics** (object) - **hubspotId** (string) - **posthogApiKey** (string) - **posthogApiHost** (string) - **allowLocalRepos** (boolean) - **contentMaxFileSize** (integer (int64)) - **waveEnabled** (boolean) - **groundswellEnabled** (boolean) - **groundswellAllowedWorkspaces** (array (integer (int64))) - **seqeraComputeEnabled** (boolean) - **forgePrefix** (string) - **seqeraCloud** (boolean) - **evalWorkspaceIds** (array (integer (int64))) - **contactEmail** (string) - **allowNextflowCliLogs** (boolean) - **logoutUrl** (string) - **seqeraAiBaseUrl** (string) #### 400 - Bad request **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/service-info" ``` ``` -------------------------------- ### GET /tokens Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Retrieves the list of all available API access tokens. ```markdown ### Responses #### 200 - OK **ListAccessTokensResponse** - **tokens** (array (object)) Array items: - **basicAuth** (string) - **id** (integer (int64)) - **name** (string) (required) - **lastUsed** (string (date-time)) - **dateCreated** (string (date-time)) #### 400 - Bad request **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed Operation not allowed ### Example Usage ```bash curl -X GET "https://api.example.com/tokens" ``` ``` -------------------------------- ### GET /launch/{launchId} Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Retrieves the details of the launch identified by the given `launchId`. ```markdown ### Parameters - **launchId** (string, path, required): Launch string identifier - **workspaceId** (integer (int64), query, optional): Workspace numeric identifier ### Responses #### 200 - OK **DescribeLaunchResponse** - **launch** (object) - **id** (string) - **workspaceId** (integer (int64)) - **computeEnv** (object) - **credentialsId** (string) - **orgId** (integer (int64)) - **workspaceId** (integer (int64)) - **id** (string) - **name** (string) (required) - **description** (string) - **platform** (string (aws-batch|aws-cloud|google-lifesciences|google-batch|google-cloud|azure-batch|azure-cloud|k8s-platform|eks-platform|gke-platform|uge-platform|slurm-platform|lsf-platform|altair-platform|moab-platform|local-platform|seqeracompute-platform)) (required) ("aws-batch"|"aws-cloud"|"google-lifesciences"|"google-batch"|"google-cloud"|"azure-batch"|"azure-cloud"|"k8s-platform"|"eks-platform"|"gke-platform"|"uge-platform"|"slurm-platform"|"lsf-platform"|"altair-platform"|"moab-platform"|"local-platform"|"seqeracompute-platform") - **config** (object) (required) - **storageType** (string) - **lustreId** (string) - **volumes** (array (string)) - **discriminator** (string) - **region** (string) - **computeQueue** (string) - **dragenQueue** (string) - **dragenInstanceType** (string) - **computeJobRole** (string) - **executionRole** (string) - **headQueue** (string) - **headJobRole** (string) - **cliPath** (string) - **workDir** (string) - **preRunScript** (string) - **postRunScript** (string) - **headJobCpus** (integer (int32)) - **headJobMemoryMb** (integer (int32)) - **environment** (array (object)) Array items: - **name** (string) - **value** (string) - **head** (boolean) - **compute** (boolean) - **waveEnabled** (boolean) - **fusion2Enabled** (boolean) - **nvnmeStorageEnabled** (boolean) - **logGroup** (string) - **nextflowConfig** (string) - **fusionSnapshots** (boolean) - **forge** (object) - **type** (string (SPOT|EC2)) ("SPOT"|"EC2") - **minCpus** (integer (int32)) - **maxCpus** (integer (int32)) - **gpuEnabled** (boolean) - **ebsAutoScale** (boolean) - **instanceTypes** (array (string)) - **allocStrategy** (string (BEST_FIT|BEST_FIT_PROGRESSIVE|SPOT_CAPACITY_OPTIMIZED|SPOT_PRICE_CAPACITY_OPTIMIZED)) ("BEST_FIT"|"BEST_FIT_PROGRESSIVE"|"SPOT_CAPACITY_OPTIMIZED"|"SPOT_PRICE_CAPACITY_OPTIMIZED") - **imageId** (string) - **vpcId** (string) - **subnets** (array (string)) - **securityGroups** (array (string)) - **fsxMount** (string) - **fsxName** (string) - **fsxSize** (integer (int32)) - **disposeOnDeletion** (boolean) - **ec2KeyPair** (string) - **allowBuckets** (array (string)) - **ebsBlockSize** (integer (int32)) - **fusionEnabled** (boolean) - **bidPercentage** (integer (int32)) - **efsCreate** (boolean) - **efsId** (string) - **efsMount** (string) - **dragenEnabled** (boolean) - **dragenAmiId** (string) - **ebsBootSize** (integer (int32)) - **ecsConfig** (string) - **fargateHeadEnabled** (boolean) - **arm64Enabled** (boolean) - **dragenInstanceType** (string) - **forgedResources** (array (object)) - **dateCreated** (string (date-time)) - **lastUpdated** (string (date-time)) - **lastUsed** (string (date-time)) - **deleted** (boolean) - **status** (string (CREATING|AVAILABLE|DELETING|ERRORED|INVALID)) ("CREATING"|"AVAILABLE"|"DELETING"|"ERRORED"|"INVALID") - **message** (string) - **primary** (boolean) - **pipeline** (string) (required) - **workDir** (string) - **revision** (string) - **commitId** (string) - **configText** (string) - **towerConfig** (string) - **paramsText** (string) - **preRunScript** (string) - **postRunScript** (string) - **mainScript** (string) - **entryName** (string) - **schemaName** (string) - **resume** (boolean) - **resumeLaunchId** (string) - **pullLatest** (boolean) - **stubRun** (boolean) - **sessionId** (string) - **runName** (string) - **configProfiles** (array (string)) - **userSecrets** (array (string)) - **workspaceSecrets** (array (string)) - **optimizationId** (string) - **optimizationTargets** (string) - **headJobCpus** (integer (int32)) - **headJobMemoryMb** (integer (int32)) - **launchContainer** (string) - **dateCreated** (string (date-time)) (required) - **lastUpdated** (string (date-time)) #### 400 - Bad request **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed Operation not allowed ### Example Usage ```bash curl -X GET "https://api.example.com/launch/{launchId}?workspaceId=0" ``` ``` -------------------------------- ### GET /studios/{sessionId} Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Retrieves the details of the Studio session identified by the given `sessionId`. ```markdown ### Parameters - **sessionId** (string, path, required): Studio session numeric identifier - **workspaceId** (integer (int64), query, optional): Workspace numeric identifier ### Responses #### 200 - OK **DataStudioDto** - **sessionId** (string) - **workspaceId** (integer (int64)) - **parentCheckpoint** (object) - **checkpointId** (integer (int64)) - **checkpointName** (string) - **sessionId** (string) - **studioName** (string) - **user** (object) - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **name** (string) - **description** (string) - **studioUrl** (string) - **computeEnv** (object) - **id** (string) - **name** (string) - **platform** (string) - **region** (string) - **credentialsId** (string) - **workDir** (string) - **template** (object) - **repository** (string) - **icon** (string) - **status** (string (recommended|deprecated|experimental|unsupported)) ("recommended"|"deprecated"|"experimental"|"unsupported") - **tool** (string) - **remoteConfig** (object) - **repository** (string) (required) - **revision** (string) - **commitId** (string) - **configuration** (object) - **gpu** (integer (int32)) - **cpu** (integer (int32)) - **memory** (integer (int32)) - **mountData** (array (string)) - **environment** (object) - **condaEnvironment** (string) - **lifespanHours** (integer (int32)) - **dateCreated** (string (date-time)) - **lastUpdated** (string (date-time)) - **lastStarted** (string (date-time)) - **effectiveLifespanHours** (integer (int32)) - **activeConnections** (array (object)) Array items: - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **lastActive** (string (date-time)) - **statusInfo** (object) - **status** (string (starting|running|stopping|stopped|errored|building|buildFailed)) ("starting"|"running"|"stopping"|"stopped"|"errored"|"building"|"buildFailed") - **message** (string) - **lastUpdate** (string (date-time)) - **stopReason** (string (CREDITS_RUN_OUT|LIFESPAN_EXPIRED|SPOT_RECLAMATION)) ("CREDITS_RUN_OUT"|"LIFESPAN_EXPIRED"|"SPOT_RECLAMATION") - **waveBuildUrl** (string) - **baseImage** (string) - **customImage** (boolean) - **isPrivate** (boolean) - **mountedDataLinks** (array (object)) Array items: - **id** (string) - **name** (string) - **description** (string) - **resourceRef** (string) - **type** (string (bucket)) ("bucket") - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **region** (string) - **credentials** (array (object)) Array items: - **id** (string) (required) - **name** (string) (required) - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) (required) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **publicAccessible** (boolean) - **hidden** (boolean) - **status** (string (VALID|INVALID)) ("VALID"|"INVALID") - **message** (string) - **progress** (array (object)) Array items: - **status** (string (pending|in-progress|succeeded|errored)) ("pending"|"in-progress"|"succeeded"|"errored") - **message** (string) - **warnings** (array (string)) - **labels** (array (object)) Array items: - **id** (integer (int64)) - **name** (string) - **value** (string) - **resource** (boolean) - **isDefault** (boolean) - **isDynamic** (boolean) - **isInterpolated** (boolean) - **dateCreated** (string (date-time)) #### 202 - Accepted, when the Studio is fetching mounted data links in the background. **DataStudioDto** - **sessionId** (string) - **workspaceId** (integer (int64)) - **parentCheckpoint** (object) - **checkpointId** (integer (int64)) - **checkpointName** (string) - **sessionId** (string) - **studioName** (string) - **user** (object) - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **name** (string) - **description** (string) - **studioUrl** (string) - **computeEnv** (object) - **id** (string) - **name** (string) - **platform** (string) - **region** (string) - **credentialsId** (string) - **workDir** (string) - **template** (object) - **repository** (string) - **icon** (string) - **status** (string (recommended|deprecated|experimental|unsupported)) ("recommended"|"deprecated"|"experimental"|"unsupported") - **tool** (string) - **remoteConfig** (object) - **repository** (string) (required) - **revision** (string) - **commitId** (string) - **configuration** (object) - **gpu** (integer (int32)) - **cpu** (integer (int32)) - **memory** (integer (int32)) - **mountData** (array (string)) - **environment** (object) - **condaEnvironment** (string) - **lifespanHours** (integer (int32)) - **dateCreated** (string (date-time)) - **lastUpdated** (string (date-time)) - **lastStarted** (string (date-time)) - **effectiveLifespanHours** (integer (int32)) - **activeConnections** (array (object)) Array items: - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **lastActive** (string (date-time)) - **statusInfo** (object) - **status** (string (starting|running|stopping|stopped|errored|building|buildFailed)) ("starting"|"running"|"stopping"|"stopped"|"errored"|"building"|"buildFailed") - **message** (string) - **lastUpdate** (string (date-time)) - **stopReason** (string (CREDITS_RUN_OUT|LIFESPAN_EXPIRED|SPOT_RECLAMATION)) ("CREDITS_RUN_OUT"|"LIFESPAN_EXPIRED"|"SPOT_RECLAMATION") - **waveBuildUrl** (string) - **baseImage** (string) - **customImage** (boolean) - **isPrivate** (boolean) - **mountedDataLinks** (array (object)) Array items: - **id** (string) - **name** (string) - **description** (string) - **resourceRef** (string) - **type** (string (bucket)) ("bucket") - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **region** (string) - **credentials** (array (object)) Array items: - **id** (string) (required) - **name** (string) (required) - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) (required) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **publicAccessible** (boolean) - **hidden** (boolean) - **status** (string (VALID|INVALID)) ("VALID"|"INVALID") - **message** (string) - **progress** (array (object)) Array items: - **status** (string (pending|in-progress|succeeded|errored)) ("pending"|"in-progress"|"succeeded"|"errored") - **message** (string) - **warnings** (array (string)) - **labels** (array (object)) Array items: - **id** (integer (int64)) - **name** (string) - **value** (string) - **resource** (boolean) - **isDefault** (boolean) - **isDynamic** (boolean) - **isInterpolated** (boolean) - **dateCreated** (string (date-time)) #### 403 - Operation not allowed. Operation not allowed. #### 404 - NotFound, when the Studio is not found or when the API is disabled for the workspace. **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/studios/{sessionId}?workspaceId=0" ``` ``` -------------------------------- ### GET /orgs Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Lists all available organizations in a user context. ```markdown ### Parameters - **role** (string, query, optional): Organization user role identifier ### Responses #### 200 - OK **ListOrganizationsResponse** - **organizations** (array (object)) Array items: - **paying** (boolean) - **orgId** (integer (int64)) - **name** (string) - **fullName** (string) - **description** (string) - **location** (string) - **website** (string) - **logoId** (string) - **logoUrl** (string) - **memberId** (integer (int64)) - **memberRole** (string (owner|member|collaborator)) ("owner"|"member"|"collaborator") - **type** (string (academic|evaluating|pro|basic|internal)) ("academic"|"evaluating"|"pro"|"basic"|"internal") - **totalSize** (integer (int32)) #### 400 - Bad request **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed Operation not allowed ### Example Usage ```bash curl -X GET "https://api.example.com/orgs?role=string" ``` ``` -------------------------------- ### GET /studios/{sessionId}/checkpoints/{checkpointId} Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Retrieves the details of the given Studio checkpoint ID. ```markdown ### Parameters - **sessionId** (string, path, required): Studio session numeric identifier - **checkpointId** (integer (int64), path, required): Numeric identifier of the checkpoint. - **workspaceId** (integer (int64), query, optional): Workspace numeric identifier ### Responses #### 200 - OK **DataStudioCheckpointDto** - **id** (integer (int64)) (required) - **name** (string) (required) - **dateCreated** (string (date-time)) (required) - **dateSaved** (string (date-time)) (required) - **author** (object) (required) - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **path** (string) (required) - **status** (string (empty|interim|finalized|invalid)) (required) ("empty"|"interim"|"finalized"|"invalid") #### 400 - BadRequest **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed. Operation not allowed. #### 404 - NotFound, when the studio or the checkpoint is not found or when the API is disabled for the workspace **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/studios/{sessionId}/checkpoints/{checkpointId}?workspaceId=0" ``` ``` -------------------------------- ### POST /studios Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml Creates a new Studio environment, starting it by default. Default behavior can be changed using the query parameter `autoStart=false`. ```markdown ### Parameters - **workspaceId** (integer (int64), query, optional): Workspace numeric identifier - **autoStart** (boolean, query, optional): Optionally disable the Studio's automatic launch when it is created. ### Request Body **Content-Type:** application/json - **name** (string) (required) - **description** (string) - **dataStudioToolUrl** (string) - **computeEnvId** (string) (required) - **initialCheckpointId** (integer (int64)) - **configuration** (object) - **gpu** (integer (int32)) - **cpu** (integer (int32)) - **memory** (integer (int32)) - **mountData** (array (string)) - **environment** (object) - **condaEnvironment** (string) - **lifespanHours** (integer (int32)) - **remoteConfig** (object) - **repository** (string) (required) - **revision** (string) - **commitId** (string) - **isPrivate** (boolean) - **labelIds** (array (integer (int64))) - **spot** (boolean) ### Responses #### 200 - CreateDataStudio 200 response **DataStudioCreateResponse** - **studio** (object) - **sessionId** (string) - **workspaceId** (integer (int64)) - **parentCheckpoint** (object) - **checkpointId** (integer (int64)) - **checkpointName** (string) - **sessionId** (string) - **studioName** (string) - **user** (object) - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **name** (string) - **description** (string) - **studioUrl** (string) - **computeEnv** (object) - **id** (string) - **name** (string) - **platform** (string) - **region** (string) - **credentialsId** (string) - **workDir** (string) - **template** (object) - **repository** (string) - **icon** (string) - **status** (string (recommended|deprecated|experimental|unsupported)) ("recommended"|"deprecated"|"experimental"|"unsupported") - **tool** (string) - **remoteConfig** (object) - **repository** (string) (required) - **revision** (string) - **commitId** (string) - **configuration** (object) - **gpu** (integer (int32)) - **cpu** (integer (int32)) - **memory** (integer (int32)) - **mountData** (array (string)) - **environment** (object) - **condaEnvironment** (string) - **lifespanHours** (integer (int32)) - **dateCreated** (string (date-time)) - **lastUpdated** (string (date-time)) - **lastStarted** (string (date-time)) - **effectiveLifespanHours** (integer (int32)) - **activeConnections** (array (object)) Array items: - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **lastActive** (string (date-time)) - **statusInfo** (object) - **status** (string (starting|running|stopping|stopped|errored|building|buildFailed)) ("starting"|"running"|"stopping"|"stopped"|"errored"|"building"|"buildFailed") - **message** (string) - **lastUpdate** (string (date-time)) - **stopReason** (string (CREDITS_RUN_OUT|LIFESPAN_EXPIRED|SPOT_RECLAMATION)) ("CREDITS_RUN_OUT"|"LIFESPAN_EXPIRED"|"SPOT_RECLAMATION") - **waveBuildUrl** (string) - **baseImage** (string) - **customImage** (boolean) - **isPrivate** (boolean) - **mountedDataLinks** (array (object)) Array items: - **id** (string) - **name** (string) - **description** (string) - **resourceRef** (string) - **type** (string (bucket)) ("bucket") - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **region** (string) - **credentials** (array (object)) Array items: - **id** (string) (required) - **name** (string) (required) - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) (required) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **publicAccessible** (boolean) - **hidden** (boolean) - **status** (string (VALID|INVALID)) ("VALID"|"INVALID") - **message** (string) - **progress** (array (object)) Array items: - **status** (string (pending|in-progress|succeeded|errored)) ("pending"|"in-progress"|"succeeded"|"errored") - **message** (string) - **warnings** (array (string)) - **labels** (array (object)) Array items: - **id** (integer (int64)) - **name** (string) - **value** (string) - **resource** (boolean) - **isDefault** (boolean) - **isDynamic** (boolean) - **isInterpolated** (boolean) - **dateCreated** (string (date-time)) #### 201 - Created **DataStudioCreateResponse** - **studio** (object) - **sessionId** (string) - **workspaceId** (integer (int64)) - **parentCheckpoint** (object) - **checkpointId** (integer (int64)) - **checkpointName** (string) - **sessionId** (string) - **studioName** (string) - **user** (object) - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **name** (string) - **description** (string) - **studioUrl** (string) - **computeEnv** (object) - **id** (string) - **name** (string) - **platform** (string) - **region** (string) - **credentialsId** (string) - **workDir** (string) - **template** (object) - **repository** (string) - **icon** (string) - **status** (string (recommended|deprecated|experimental|unsupported)) ("recommended"|"deprecated"|"experimental"|"unsupported") - **tool** (string) - **remoteConfig** (object) - **repository** (string) (required) - **revision** (string) - **commitId** (string) - **configuration** (object) - **gpu** (integer (int32)) - **cpu** (integer (int32)) - **memory** (integer (int32)) - **mountData** (array (string)) - **environment** (object) - **condaEnvironment** (string) - **lifespanHours** (integer (int32)) - **dateCreated** (string (date-time)) - **lastUpdated** (string (date-time)) - **lastStarted** (string (date-time)) - **effectiveLifespanHours** (integer (int32)) - **activeConnections** (array (object)) Array items: - **id** (integer (int64)) - **userName** (string) - **email** (string) - **avatar** (string) - **lastActive** (string (date-time)) - **statusInfo** (object) - **status** (string (starting|running|stopping|stopped|errored|building|buildFailed)) ("starting"|"running"|"stopping"|"stopped"|"errored"|"building"|"buildFailed") - **message** (string) - **lastUpdate** (string (date-time)) - **stopReason** (string (CREDITS_RUN_OUT|LIFESPAN_EXPIRED|SPOT_RECLAMATION)) ("CREDITS_RUN_OUT"|"LIFESPAN_EXPIRED"|"SPOT_RECLAMATION") - **waveBuildUrl** (string) - **baseImage** (string) - **customImage** (boolean) - **isPrivate** (boolean) - **mountedDataLinks** (array (object)) Array items: - **id** (string) - **name** (string) - **description** (string) - **resourceRef** (string) - **type** (string (bucket)) ("bucket") - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **region** (string) - **credentials** (array (object)) Array items: - **id** (string) (required) - **name** (string) (required) - **provider** (string (aws|google|azure|azure_entra|azure-cloud|seqeracompute|s3)) (required) ("aws"|"google"|"azure"|"azure_entra"|"azure-cloud"|"seqeracompute"|"s3") - **publicAccessible** (boolean) - **hidden** (boolean) - **status** (string (VALID|INVALID)) ("VALID"|"INVALID") - **message** (string) - **progress** (array (object)) Array items: - **status** (string (pending|in-progress|succeeded|errored)) ("pending"|"in-progress"|"succeeded"|"errored") - **message** (string) - **warnings** (array (string)) - **labels** (array (object)) Array items: - **id** (integer (int64)) - **name** (string) - **value** (string) - **resource** (boolean) - **isDefault** (boolean) - **isDynamic** (boolean) - **isInterpolated** (boolean) - **dateCreated** (string (date-time)) #### 400 - BadRequest **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed. Operation not allowed. #### 404 - NotFound, when the workspace or compute environment is not found or when the API is disabled. **ErrorResponse** - **message** (string) (required) #### 409 - Conflict - duplicated name **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/studios?workspaceId=0&autoStart=true" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "dataStudioToolUrl": "string", "computeEnvId": "string", "initialCheckpointId": "0", "configuration": { "gpu": "0", "cpu": "0", "memory": "0", "mountData": [ "string" ], "environment": "value", "condaEnvironment": "string", "lifespanHours": "0" }, "remoteConfig": { "repository": "string", "revision": "string", "commitId": "string" }, "isPrivate": "true", "labelIds": [ "0" ], "spot": "true" }' ``` ``` -------------------------------- ### GET /workflow/random-name Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml API endpoint for GET /workflow/random-name ```markdown ### Responses #### 200 - Generated name **RandomWorkflowNameResponse** - **name** (string) #### 403 - Operation not allowed Operation not allowed ### Example Usage ```bash curl -X GET "https://api.example.com/workflow/random-name" ``` ``` -------------------------------- ### GET /users/validate Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml API endpoint for GET /users/validate ```markdown ### Parameters - **name** (string, query, optional): User name to validate ### Responses #### 204 - OK - No content Empty response body #### 400 - Bad request **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed Operation not allowed #### 409 - Duplicated element **ErrorResponse** - **message** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/users/validate?name=string" ``` ``` -------------------------------- ### GET /user-info Source: https://cloud.seqera.io/openapi/seqera-api-latest.yml API endpoint for GET /user-info ```markdown ### Responses #### 200 - OK **DescribeUserResponse** - **user** (object) - **id** (integer (int64)) - **userName** (string) - **email** (string) - **firstName** (string) - **lastName** (string) - **organization** (string) - **description** (string) - **avatar** (string) - **avatarId** (string) - **notification** (boolean) - **termsOfUseConsent** (boolean) - **marketingConsent** (boolean) - **lastAccess** (string (date-time)) - **dateCreated** (string (date-time)) - **lastUpdated** (string (date-time)) - **deleted** (boolean) - **needConsent** (boolean) - **defaultWorkspaceId** (integer (int64)) #### 400 - Bad request **ErrorResponse** - **message** (string) (required) #### 403 - Operation not allowed Operation not allowed ### Example Usage ```bash curl -X GET "https://api.example.com/user-info" ``` ```